# Class ShowInHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.internal.ShowInHandler

All Implemented Interfaces:
  `IHandler, IHandler2, IElementUpdater`

public class ShowInHandler extends AbstractHandler implements IElementUpdater
The show in command, which only needs a target id.

Since:
  3.4

## Constructor Summary

Constructors
Constructor
Description
`ShowInHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ExecutionEvent event)`
Executes with the map of parameter values by name.
`void`
`updateElement(UIElement element, Map parameters)`
Whenever the elements for a command are refreshed, this method is called on the active handler for that command.

### Methods inherited from class AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IHandler

`getHandlerLabel`

## Constructor Details

### ShowInHandler

public ShowInHandler()

## Method Details

### execute

public Object execute(ExecutionEvent event) throws ExecutionException
Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Specified by:
  `execute` in interface `IHandler`
Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.

### updateElement

public void updateElement(UIElement element, Map parameters)
Description copied from interface: `IElementUpdater`
Whenever the elements for a command are refreshed, this method is called on the active handler for that command.

Note: Handlers must never cache the element, which can disappear or be replaced at any time. Everybody should go through the ICommandService refreshElements(*) method.

Specified by:
  `updateElement` in interface `IElementUpdater`
Parameters:
  `element` - An element for a specific UI element. Will not be `null`.
  `parameters` - Any parameters registered with the callback. Will not be `null`, but it may be empty.